package com.ho.filecenter.service;


import com.ho.filecenter.entity.StandingBook;
import com.ho.filecenter.vo.StandingBookVo;
import com.ho.filecenter.vo.standingbook.StandingBookImport;

import java.util.List;

/**
* @author yy
* @description 针对表【standing_book】的数据库操作Service
* @createDate 2023-03-15 13:52:18
*/
public interface StandingBookService {

    List<StandingBook> queryList(StandingBookVo vo);

    void update(StandingBook vo);

    void deleteById( StandingBookVo vo);

    void deleteByStationId(Integer stationId);

    void addBatch(List<StandingBook> standingBookList);

    void importCustomer(Integer stationId,List<StandingBookImport> list);
}
